-- ----------------------------------------------------------------------------
goalFixHookman.mSteps = 
{
	{ action = "click", object = objectCryptHookmanBackground, selection = objectHoHmSlidingGroup },
	{ action = "solve", layout = layoutCryptHookman },
}
-- ----------------------------------------------------------------------------
goalFixHookman.readyToStart = false
-- ----------------------------------------------------------------------------
function goalFixHookman:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalFixHookman:onClickHO(layout, object, props, x, y)

	if ((objectHoHmSlidingPiece01:isFound()) and
		(objectHoHmSlidingPiece02:isFound()) and
		(objectHoHmSlidingPiece03:isFound()) and
		(objectHoHmSlidingPiece04:isFound()) and
		(objectHoHmSlidingPiece05:isFound()) and
		(objectHoHmSlidingPiece06:isFound()) and
		(objectHoHmSlidingPiece07:isFound()) and
		(objectHoHmSlidingPiece08:isFound())) then

		self.readyToStart = true

	end

end
-- ----------------------------------------------------------------------------
function goalFixHookman:onSolveFinish(layout)

	if (layout == layoutCryptHookman) then
		self:achieved()
	end

end